﻿using System;
using System.IO;
using System.Windows;
using Petzold.Phone.EBookReader;

namespace BleakHouseReader
{
    public class BleakHousePageProvider : PageProvider
    {
        public BleakHousePageProvider()
        {
            this.Book = (Application.Current as App).AppSettings.Book;

            using (Stream stream = Application.GetResourceStream(new Uri("Books/pg1023.txt", UriKind.Relative)).Stream)
            {
                PreprocessBook(stream);
            }
        }
    }
}
